package com.izouma.awesomeadmin.dao;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import com.izouma.awesomeadmin.model.GenCode;

/**
 * gen_code_model Dao接口
 * Fri May 04 15:57:06 CST 2018  Suo Chen Cheng
 */ 
@Repository("com.izouma.awesomeadmin.dao.GenCodeModelMapper")
public interface GenCodeMapper {

	int deleteByPrimaryKey(Integer id);

	int insertSelective(GenCode record);

	GenCode selectByPrimaryKey(Integer id);

	int updateByPrimaryKeySelective(GenCode record);

	List <GenCode> queryAllGenCode(GenCode record);

	List <GenCode> queryGenCodeByPage(Map <String, Object> parameter);

	int delete(String id);

	GenCode queryGenCode(GenCode record);
}

